# GooglePieChart Class Reference

Inheritance diagram for GooglePieChart:
[legend]

List of all members.

## Public Member Functions

| __construct ()
| addPiece (GoogleChartPiece $piece)

## Static Public Member Functions

static | create ()

## Detailed Description

Definition at line 15 of file GooglePieChart.class.php.

## Constructor & Destructor Documentation

GooglePieChart::__construct | ( |  | ) |

Reimplemented from GoogleChart.

Definition at line 25 of file GooglePieChart.class.php.

References GoogleChartDataTextEncoding::create(), GoogleChartDataSet::create(), create(), and GoogleChartType::TWO_DIMENSIONAL_PIE.

Here is the call graph for this function:

## Member Function Documentation

GooglePieChart::addPiece | ( | GoogleChartPiece $ | piece | ) |

Returns:
  GooglePieChart

Definition at line 45 of file GooglePieChart.class.php.

References GoogleChartPiece::getColor(), GoogleChartPiece::getTitle(), and GoogleChartPiece::getValue().

Here is the call graph for this function:

static GooglePieChart::create | ( |  | ) | `[static]`

Returns:
  GooglePieChart

Reimplemented from GoogleChart.

Definition at line 20 of file GooglePieChart.class.php.

Referenced by __construct().

The documentation for this class was generated from the following file:

- main/Charts/Google/GooglePieChart.class.php